<?php
defined('TYPO3_MODE') or die();

call_user_func(function () {
	$extensionKey = 'bhdummy';
 
  \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
      'Bhuman.' . $extensionKey,
      'Pi1',
      array(
          'Output' => 'show',
      )
  );  
  
	/* Add default TSConfig Typoscript per pages */
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig(
	  '<INCLUDE_TYPOSCRIPT: source="FILE:EXT:'.$extensionKey.'/Configuration/TypoScript/TSconfig/Pages/ContentElementWizard.ts">'
	  );


	/* Add icons identifiers*/
  if (TYPO3_MODE === 'BE') {    
      $iconFilePrefix = 'EXT:bhdummy/Resources/Public/Icons/';  
      $iconIdentifiers = [   
      'dummywizard' => 'dummy.svg' 
  	];  
  
      foreach ($iconIdentifiers as $iconIdentifier => $iconFile) {
  		\TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Core\Imaging\IconRegistry::class)->registerIcon(
  			$iconIdentifier,
  			\TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
  		  ['source' => $iconFilePrefix .$iconFile]
  		);
      }
  }



});